Subject: Re: strlen on a NULL
From: [email-masked] (Ron G. Minnich)

12 May 1998 19:06:37 -0700
Message-ID: <Pine.SUN.3.91.980512122007.284C-100000.cygnus.gnu-win32@terra>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Ian Collins <[email-masked]>
Cc: gnuwin32 <[email-masked]>

On Tue, 12 May 1998, Ian Collins wrote:
> If I do a strlen on a NULL pointer I get a coredump.
> I have the same code running on a few *other* Unix machines with
> exhibiting this behaviour.
> OK, so I could tidy it up, but I wondered is this an oversight or the
> correct behaviour?

This is ABSOLUTELY correct behavior!

ron
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".